## EmpathyThemeManager EmpathyThemeManager |

## Synopsis

                        EmpathyThemeManager;
    EmpathyThemeManager* empathy_theme_manager_get          (void);
    const gchar**       empathy_theme_manager_get_themes    (void);
    void                empathy_theme_manager_apply         (EmpathyThemeManager *manager,
                                                             EmpathyChatView *view,
                                                             const gchar *theme);
    void                empathy_theme_manager_apply_saved   (EmpathyThemeManager *manager,
                                                             EmpathyChatView *view);

## Object Hierarchy

      GObject
       +----EmpathyThemeManager

## Signals

      "theme-changed"                                  : Run Last

## Description

## Details

### EmpathyThemeManager

    typedef struct _EmpathyThemeManager EmpathyThemeManager;

### empathy_theme_manager_get ()

    EmpathyThemeManager* empathy_theme_manager_get          (void);

Returns : |

### empathy_theme_manager_get_themes ()

    const gchar**       empathy_theme_manager_get_themes    (void);

Returns : |

### empathy_theme_manager_apply ()

    void                empathy_theme_manager_apply         (EmpathyThemeManager *manager,
                                                             EmpathyChatView *view,
                                                             const gchar *theme);

`manager` : |
`view` : |
`theme` : |

### empathy_theme_manager_apply_saved ()

    void                empathy_theme_manager_apply_saved   (EmpathyThemeManager *manager,
                                                             EmpathyChatView *view);

`manager` : |
`view` : |

## Signal Details

### The `"theme-changed"` signal

    void                user_function                      (EmpathyThemeManager *empathythememanager,
                                                            gpointer             user_data)                : Run Last

`empathythememanager` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.